/* Date: 04/02/2013
 * Copyright 2013 Pablo Cremades
 * Author: Pablo Cremades
 *  e-mail: pablocremades@gmail.com
 * Description: This class provides the necessary functions to work with Oz47.
 */
/* *************************************************************************
*	This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.*
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY* without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
* *************************************************************************/

#ifndef OZ47_H
#define OZ47_H

#define     CMD_LENGTH      33  //Length of command sent by Oz47

class Oz47
{
    public:
        Oz47();
        virtual ~Oz47();
        void Mauto();   //Puts the sensor in automatic mode.
        void Mmanual(); //Puts the sensor in calibration mode.
        void Sense();   //Requests a measurement.
        //get funtions provided only for sensor 1. Sensor 2 does not work in this model.
        //These functions should be called after a call to Sense().
        int getOz();
        int getRes();
        float getTemp();
        int getRH();
    protected:
    private:
        int ozone1;
        int ozone2;
        int Res1;
        int Res2;
        int temp;
        float tempf;
        int humd;
};

#endif // OZ47_H
